


import 'package:image_picker/image_picker.dart';
import 'package:flutter/material.dart';
import "dart:io";

class AppImagePicker {
  File? file;
  final ImagePicker _picker = ImagePicker();
  Future<File?> showAppImagePicker({required BuildContext context}) async {
    final result = await showModalBottomSheet(
        context: context,
        backgroundColor: Colors.white,
        builder: (builder) {
          return Wrap(
            children: [
              SafeArea(
                  child: ListView(
                    shrinkWrap: true,
                    children: [
                      ListTile(
                          trailing: const Icon(Icons.camera_alt),
                          title: const Text("Camera"),
                          onTap: () async {
                            file = await appImagePick(
                                source: ImageSource.camera, context: context);
                            Navigator.of(context).pop(file);


                          }),
                      ListTile(
                          trailing: const Icon(Icons.image),
                          title: const Text("Gallery"),
                          onTap: () async {
                            file = await appImagePick(
                                source: ImageSource.gallery, context: context);
                            Navigator.of(context).pop(file);
                          })
                    ],
                  ))
            ],
          );
        });
    return result;
  }

  Future<File?> appImagePick(
      {ImageSource source = ImageSource.gallery,
        required BuildContext context}) async {
    final pickedFile = await _picker.pickImage(source: source);
    if (pickedFile != null) {
      file = File(pickedFile.path);
    }
    return file;
  }
}